#include "ThreadiSIFController.h"

ZZ_iSIFControlThread::ZZ_iSIFControlThread(QObject* parent /*= nullptr*/)
{

}

ZZ_iSIFControlThread::~ZZ_iSIFControlThread()
{

}

int ZZ_iSIFControlThread::test()
{
	return 0;
}

int ZZ_iSIFControlThread::StartTestAcquisition()
{
// 	m_bFlagIsCollecting = true;
// 	while (m_bFlagIsCollecting)
// 	{
// 		//QMutexLocker locker(&m_Mutex);
// 		QThread::msleep(1000);
// 		qDebug() << "ThreadiSIFController busy";
// 	}
// 	qDebug() << "ThreadiSIFController quit";

	qDebug() << "ThreadiSIFController busy";
	QThread::msleep(2000);
	qDebug() << "ThreadiSIFController quit";

	//m_pwcFinish->wakeAll();
	emit SignalAcqFinished(0,1);
	return 0;
}

